<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <s:decorate template="/hl7Initiators/orderSenderTemplate.xhtml">
                <ui:param name="managedBean" value="#{orderSender}"/>
                <ui:param name="availableSuts" value="#{orderSender.getAvailableSUTs()}"/>
                <ui:param name="displaySequenceDiagram" value="true"/><!-- messageStructureSelection -->
                <ui:define name="v251Div">
                    <s:div rendered="#{managedBean.selectedDomain.keyword.equals('RAD') and managedBean.hl7Messages == null}" styleClass="gzl-alert gzl-alert-blue"
                           id="messageStructureSelectionDiv">
                        <ui:decorate template="/layout/form/_checkbox.xhtml">
                            <h:selectBooleanCheckbox value="#{userPreferencesManagerBean.hl7v251Option}">
                                <a4j:ajax event="change" render="messageConfigurationDiv"/>
                            </h:selectBooleanCheckbox>
                            #{messages['gazelle.ordermanager.SendHL7v251Messages']}
                        </ui:decorate>
                        <span class="gzl-icon-info-circle"/>
                        <h:outputText
                                value="#{messages['gazelle.ordermanager.CheckingThisBoxWillAskTheToolToSendMessagesCompl']}"/>
                    </s:div>
                </ui:define><!-- ordersDataTable -->
                <ui:define name="ordersDataTable">
                    #{dataTableStateHolder.setDescendingOn('lastChanged')}
                    <rich:dataTable value="#{orderSender.orderFilter.getOrders()}" var="orderVar"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="orders1Table"
                                    render="ds">
                        <ui:include src="/common/orderColumns.xhtml">
                            <ui:param name="managedBean" value="#{orderSender}"/>
                            <ui:param name="currentOrder" value="#{orderVar}"/>
                            <ui:param name="displayEncounterInfo" value="true"/>
                            <ui:define name="orderStatusColumn">
                                <h:outputText value="#{currentOrder.orderStatus}"/>
                            </ui:define>
                            <ui:define name="orderResultColumn">
                                <h:outputText value="#{currentOrder.orderResultStatus}"/>
                            </ui:define>
                        </ui:include>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <a4j:commandLink title="#{messages['gazelle.ordermanager.CancelOrder']}"
                                             actionListener="#{orderSender.setSelectedOrder(orderVar)}"
                                             oncomplete="jq162('#cancelDiscontinueOrderPanel').modal('show')"
                                             rendered="#{orderSender.orderControlCode.equals(orderSender.cancel) or orderSender.orderControlCode.equals(orderSender.discontinue)}"
                                             render="confirmCancelBtn, cancelContent">
                                <span class="gzl-icon-times-circle"/>
                            </a4j:commandLink>
                            <a4j:commandLink title="#{messages['gazelle.ordermanager.UpdateOrder']}"
                                             actionListener="#{orderSender.setSelectedOrder(orderVar)}"
                                             oncomplete="jq162('#updateOrderStatusPanel').modal('show')"
                                             rendered="#{orderSender.orderControlCode.equals(orderSender.update)}"
                                             render="confirmUpdateBtn, updateContent">
                                <span class="gzl-icon-refresh"/>
                            </a4j:commandLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="orders1Table"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </ui:define><!-- newObjectPart -->
                <ui:define name="newObjectPart">
                    <gri:panel rendered="#{orderSender.selectedOrder != null}" pid="editOrderPanel">
                        <f:facet name="header">
                            <h:outputText value="#{messages['gazelle.ordermanager.TheOrder']}"/>
                            <span style="width:10px"/>
                            <a4j:commandLink title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                             actionListener="#{orderSender.fillOrderRandomly()}"
                                             immediate="true" render="editOrderPanel">
                                <span class="gzl-icon-random"/>
                            </a4j:commandLink>
                        </f:facet>
                        <ui:include src="/common/fillingOrder.xhtml">
                            <ui:param name="order" value="#{orderSender.selectedOrder}"/>
                        </ui:include>
                        <f:facet name="footer">
                            <a4j:commandButton styleClass="gzl-btn-blue"
                                               value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                               actionListener="#{orderSender.fillOrderRandomly()}"
                                               immediate="true"
                                               render="editOrderPanel"/>
                            <a4j:commandButton value="#{messages['gazelle.ordermanager.SendMessage']}"
                                               actionListener="#{orderSender.sendMessage()}" styleClass="gzl-btn-blue"
                                               render="editOrderPanel, messages, globalDiv"/>
                        </f:facet>
                    </gri:panel>
                </ui:define>
            </s:decorate>
        </h:form>
    </ui:define>
</ui:composition>
